Community
Showing results for 
Search instead for 
Do you mean 
Reply

ACT (2007) is not supported under this version of SQL 2005

Accepted Solution Solved
Copper Contributor
Posts: 5
Country: United States
Accepted Solution

ACT (2007) is not supported under this version of SQL 2005

 I can no longer open up ACT 2007 version 6 following a McAfee update and re-boot, I received the following error message: ACT is not supported under this version of SQL 2005.

 

Reviewed the knowledge base at ACT and concluded that the SQL was corrupt. Very complex instructions for updating/replacing it, made me very nervous.

 

Any thoughts to share ?


Accepted Solutions
Solution
Accepted by dlunceford (Moderator)
‎09-25-2015 03:20 AM
Copper Contributor
Posts: 5
Country: United States

Re: ACT (2007) is not supported under this version of SQL 2005

Thanks so much for your thoughtful and detailed suggestions.

 

Microsoft installed .NET 2.0 today and ACT folks followed up with a reinstall of ACT. All seems to be well now.

 

Thanks again for your suggestions.

 

Bob

 

View solution in original post


All Replies
Nickel Elite Contributor
Posts: 567
Country: USA

Re: ACT (2007) is not supported under this version of SQL 2005

Please clarify the statement "ACT 2007 version 6".

 

Have you tried simply uninstalling ACT!, then uninstalling the ACT7 instance only via Add/Remove Programs from control panel, then reinstalling ACT! ?

 

thanks

Matthew McFadden
Copper Contributor
Posts: 5
Country: United States

Re: ACT (2007) is not supported under this version of SQL 2005

The ACT version is ACT 2007 version 9 ... sorry. I have been in touch with ACT technical support. They have identified the problem as a .NET problem. At this point we cannot successfully uninstall and install .NET version 2.0. Microsoft is now involved and there seems to be some major problem installing .NET.

 

I did try installing a new version of SQL, but it seemed very complex with respect to the peripheral damage that might result. Thus, I contacted Sage ACT and asked for their assistance.

 

This problem does not have an easy solution.

 

Thanks for your suggestion. I appreciate your time and effort.

 

Platinum Elite Contributor
Posts: 14,384
Country: Australia

Re: ACT (2007) is not supported under this version of SQL 2005

You might try this tool to clean up .Net - http://blogs.msdn.com/astebner/pages/8904493.aspx

 

Uninstall ACT! first and reinstall later

 

This is a procedure I wrote to get the most clean install possible:

  • Uninstall any version of ACT! from Windows Control Panel | Add/Remove Programs
  • Download and run the Uninstaller.exe from the ACT! KB 19338 (the exe, not the manual uninstall)
  • Uninstall .Net Framework (all versions) - this does NOT apply to Vista users as .Net 2.0 is part of the OS and can't be uninstalled
  • Use the clean up tool above
  • Uninstall any MS SQL items from the Control Panel if still there
  • Uninstall MSXML 6 Services from Control Panel if it's still there
  • Perform a Selective restart with MSCONFIG as per ACT! KB 14499
  • Install .Net 2.0 Framework (only 2.0 for ACT! 9/10/11) as per KB 19628 (only XP, not Vista)
  • Install ACT! full install from CD
  • Install latest ACT! patch (9.01) if the previous install was a previous build and then any Hotfix (HF3)
  • Check task manager to make sure .Net optimisation is finished (look for the setup, msiexec or ngen) - might take up to 10 minutes
  • Restore from Selective Startup Mode with MSCONFIG
  • Reboot


Takes time, but will give the cleanest and most stable install.

For the KB numbers, go here http://tinyurl.com/34xq94 - put the number in "Search Text" and change "Search By" to Answer ID

Nickel Elite Contributor
Posts: 567
Country: USA

Re: ACT (2007) is not supported under this version of SQL 2005

rbuchanan,

 

What operating system are you using that is having this problem?

 

I am afraid I find it suspicious that by simply applying a McAfee update, the whole .NET layer of the operating system may be compromised.

 

Let me know and I can formulate a plan to get you going again with your ACT! software.

 

thanks

Matthew McFadden
Copper Contributor
Posts: 5
Country: United States

Re: ACT (2007) is not supported under this version of SQL 2005

Thanks for the note.

 

Microsoft reloaded .NET 2.0 today and the problem was resolved.

 

Thanks for taking the time to share your thoughts with me.

 

Bob

 

Solution
Accepted by dlunceford (Moderator)
‎09-25-2015 03:20 AM
Copper Contributor
Posts: 5
Country: United States

Re: ACT (2007) is not supported under this version of SQL 2005

Thanks so much for your thoughtful and detailed suggestions.

 

Microsoft installed .NET 2.0 today and ACT folks followed up with a reinstall of ACT. All seems to be well now.

 

Thanks again for your suggestions.

 

Bob

 

Nickel Elite Contributor
Posts: 567
Country: USA

Re: ACT (2007) is not supported under this version of SQL 2005

Bob,

 

Please mark this thread as Resolved if you can.

 

thanks

Matthew McFadden
Copper Contributor
Posts: 5
Country: United States

Re: ACT (2007) is not supported under this version of SQL 2005

Issue resolved.